

//Miniview threshold in px
var MINIVIEW_TRESHOLD = 150;
var isFullView = false;
var miniviewContent = "N/A";
var fullviewContent = "N/A";
var doupdate = true;

window.onload = init;
window.onresize = resizing;

window.onoffline = function() 
{
	doupdate = false;
	update();
}
	
window.ononline = function() 
{
	doupdate = true;
	update();
}


function resizing()
{
    if (window.innerHeight < MINIVIEW_TRESHOLD) 
    {
        isFullView = false;
    }
    else 
    {
        isFullView = true;
    }
	setContent();
}


function getMain()
{
	return isFullView ? "maxiview" : "miniview";
}

function init()
{	
	resizing();
	document.getElementById(getMain()).innerHTML = "<strong></>Loading...</strong>";
	update();
}


function update()
{
	if (doupdate) 
	{
		// Will call viewContent as the result.
		getData("http://www.aqicn.info/?frame&symbian&miniview&city=Hebei/%E9%82%A2%E5%8F%B0%E5%B8%82/%5B%E8%B0%83%E8%AF%95%E4%B8%AD%5D%E5%B9%B3%E4%B9%A1%E5%8E%BF%E8%A1%8C%E6%94%BF%E6%9C%8D%E5%8A%A1%E4%B8%AD%E5%BF%83%28%2A%29&id=5634",0);
		setTimeout("update()", 1000 * 60 * 60);
	}
	else
	{
		document.getElementById(getMain()).innerHTML = 
			"<strong>Your phone data connection is currently set to offline</strong>";
	}
}

function showing()
{
	setContent();
}

function viewContent(content, id)
{
	if(content == null)
	{
		content = "This seems to take some time...";
	}
	
	if (id == 0)
	{
		miniviewContent = content;
		
		/* Fetch the second part */
		getData("http://www.aqicn.info/?frame&symbian&fullview&city=Hebei/%E9%82%A2%E5%8F%B0%E5%B8%82/%5B%E8%B0%83%E8%AF%95%E4%B8%AD%5D%E5%B9%B3%E4%B9%A1%E5%8E%BF%E8%A1%8C%E6%94%BF%E6%9C%8D%E5%8A%A1%E4%B8%AD%E5%BF%83%28%2A%29&id=5634",1);
	}
	else if (id == 1)
	{
		fullviewContent = content;
	}
	
	setContent();
}

function setContent()
{
	if (isFullView) 
	{
		document.getElementById("miniview").innerHTML = "";
		document.getElementById("maxiview").innerHTML = fullviewContent;
	}
	else 
	{
		document.getElementById("maxiview").innerHTML = "";
		document.getElementById("miniview").innerHTML = miniviewContent;
	}
}	
	
	